//external lightmap compatible
textures/kairos-vaperockets/u_supp_1orange_lm
{
	qer_editorimage textures/andromeda_grates/u_supp_1orange.tga
	surfaceparm nonopaque
   	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/andromeda_grates/u_supp_1orange.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/kairos-vaperockets/u_supp_2_lm
{
	qer_editorimage textures/andromeda_grates/u_supp_2.tga
	surfaceparm nonopaque
   	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/andromeda_grates/u_supp_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/kairos-vaperockets/u_supp_2orange1_sm_lm
{
	qer_editorimage textures/andromeda_grates/u_supp_2orange1_sm.tga
	surfaceparm nonopaque
   	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/andromeda_grates/u_supp_2orange1_sm.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/kairos-vaperockets/u_gr8_7a_lm
{
	qer_editorimage textures/andromeda_grates/u_gr8_7.tga
	surfaceparm nonopaque
   	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/andromeda_grates/u_gr8_7.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/kairos-vaperockets/u_gr8_11_lm
{
	qer_editorimage textures/andromeda_grates/u_gr8_11.tga
	surfaceparm nonopaque
   	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/andromeda_grates/u_gr8_11.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/kairos-vaperockets/u_gr8_12_lm
{
	qer_editorimage textures/andromeda_grates/u_gr8_12.tga
	surfaceparm nonopaque
   	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/andromeda_grates/u_gr8_12.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/kairos-vaperockets/u_gr8_14_lm
{
	qer_editorimage textures/andromeda_grates/u_gr8_14.tga
	surfaceparm nonopaque
   	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/andromeda_grates/u_gr8_14.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


//taken from focal_p132 and tweaked
textures/kairos-vaperockets/dust_outer
{
	qer_editorimage textures/kairos-vaperockets/weapon_dust.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
  	 {
		map textures/kairos-vaperockets/weapon_dust.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		rgbGen wave sin 0.5 0.2 0 0.1
	}
	{
		map textures/kairos-vaperockets/stars_motionbright.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 0.75 3
		tcMod Scroll 0.01 -0.5
	}

}

textures/kairos-vaperockets/dust_inner
{
	qer_editorimage textures/kairos-vaperockets/stars_bright.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none

	{
		map textures/kairos-vaperockets/stars_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 0.75 3
		tcMod Scroll 0.01 -0.5
	}

}

textures/kairos-vaperockets/dust_outer_fast
{
	qer_editorimage textures/kairos-vaperockets/weapon_dust.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
  	 {
		map textures/kairos-vaperockets/weapon_dust.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		rgbGen wave sin 0.5 0.2 0 0.1
	}
	{
		map textures/kairos-vaperockets/stars_motionbright.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 0.75 3
		tcMod Scroll 0.01 -0.75
	}

}

textures/kairos-vaperockets/dust_inner_fast
{
	qer_editorimage textures/kairos-vaperockets/stars_bright.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none

	{
		map textures/kairos-vaperockets/stars_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 0.75 3
		tcMod Scroll 0.01 -0.75
	}

}

textures/kairos-vaperockets/dust_outer_faster
{
	qer_editorimage textures/kairos-vaperockets/weapon_dust.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
  	 {
		map textures/kairos-vaperockets/weapon_dust.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		rgbGen wave sin 0.5 0.2 0 0.1
	}
	{
		map textures/kairos-vaperockets/stars_motionbright.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 0.75 3
		tcMod Scroll 0.01 -1
	}

}

textures/kairos-vaperockets/dust_inner_faster
{
	qer_editorimage textures/kairos-vaperockets/stars_bright.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none

	{
		map textures/kairos-vaperockets/stars_bright.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 0.75 3
		tcMod Scroll 0.01 -1
	}

}


//adjusted brightness from orginal
textures/kairos-vaperockets/hip_inter_50
{
	qer_editorimage textures/kairos-vaperockets/hip_inter/interstellar_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 30 350 70 2 0
        q3map_lightmapFilterRadius 0 8		//self other self always set to 0
        q3map_skylight 100 6
	nopicmip
	nomipmaps
	skyparms textures/kairos-vaperockets/hip_inter/interstellar - -
}

//taken from evil_biodm
textures/kairos-vaperockets/fan
{
	qer_editorimage textures/kairos-vaperockets/metalfan_blade.tga
	{
		map textures/kairos-vaperockets/metalfan_blade.tga
		blendfunc blend
		tcMod rotate 500
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/kairos-vaperockets/fan_750
{
	qer_editorimage textures/kairos-vaperockets/metalfan_blade.tga
	{
		map textures/kairos-vaperockets/metalfan_blade.tga
		blendfunc blend
		tcMod rotate 750
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/kairos-vaperockets/fan_1k
{
	qer_editorimage textures/kairos-vaperockets/metalfan_blade.tga
	{
		map textures/kairos-vaperockets/metalfan_blade.tga
		blendfunc blend
		tcMod rotate 1000
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/kairos-vaperockets/shitwater
{
	qer_editorimage textures/kairos-vaperockets/slime.tga
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5 
	qer_trans 0.5
	q3map_globaltexture
	{
		map textures/kairos-vaperockets/slime.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map textures/kairos-vaperockets/slime.tga
		blendfunc gl_one gl_one
		rgbGen const ( 0.360784 0.835294 0.0509804 )
		tcMod scale 0.3 0.3
		tcMod scroll -0.015 -0.02
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

//for use with crystals, added 150 surfacelight & nonsolid
textures/kairos-vaperockets/shitwater_nonsolid
{
	qer_editorimage textures/kairos-vaperockets/slime.tga
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
        q3map_surfacelight 150
	deformVertexes wave 64 sin 0.25 0.25 0 0.5 
	qer_trans 0.5
	q3map_globaltexture
	{
		map textures/kairos-vaperockets/slime.tga
		blendfunc gl_dst_color gl_zero
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_one gl_zero
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map textures/kairos-vaperockets/slime.tga
		blendfunc gl_one gl_zero
		rgbGen const ( 0.360784 0.835294 0.0509804 )
		tcMod scale 0.3 0.3
		tcMod scroll -0.015 -0.02
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/kairos-vaperockets/ll_carpet_slick
{
	qer_editorimage textures/kairos-vaperockets/ll_carpet.tga
	surfaceparm slick
	{
		map textures/kairos-vaperockets/ll_carpet.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/effects/tinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/kairos-vaperockets/beam_rocket
{
	qer_editorimage textures/kairos-vaperockets/beam_rocket.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/kairos-vaperockets/beam_rocket.tga
		blendfunc add
		tcMod scroll 0.3 0
	}
}

textures/kairos-vaperockets/beam_white
{
	qer_editorimage textures/kairos-vaperockets/beam_white.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/kairos-vaperockets/beam_white.tga
		blendfunc add
		tcMod scroll 0.3 0
	}
}

textures/kairos-vaperockets/beam_plasma
{
	qer_editorimage textures/kairos-vaperockets/beam_plasma.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/kairos-vaperockets/beam_plasma.tga
		blendfunc add
		tcMod scroll 0.3 0
	}
}

textures/kairos-vaperockets/beam_bfg
{
	qer_editorimage textures/kairos-vaperockets/beam_bfg.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/kairos-vaperockets/beam_bfg.tga
		blendfunc add
		tcMod scroll 0.3 0
	}
}

textures/kairos-vaperockets/beam_grenade
{
	qer_editorimage textures/kairos-vaperockets/beam_grenade.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/kairos-vaperockets/beam_grenade.tga
		blendfunc add
		tcMod scroll 0.3 0
	}
}

textures/kairos-vaperockets/glass_noimpact_strobe
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen wave sin 0.7 0.2 0 0.5 
		tcGen lightmap 
	}
}

textures/kairos-vaperockets/glass_strobe
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull disable
	qer_trans 0.5
	{
		map textures/ghost_custom/tinfx4.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen wave sin 0.7 0.2 0 0.5 
		tcGen lightmap 
	} 
}

//removed strobe effect, for use with slick floor
textures/kairos-vaperockets/glass_noimpact_nostrobe
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
        surfaceparm noimpact
	cull front
	qer_trans 0.5
	{
		map textures/ghost_custom/tinfx4.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	} 
}

textures/kairos-vaperockets/glass_strobe_nonsolid
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
        surfaceparm nonsolid
	cull disable
	qer_trans 0.5
	{
		map textures/ghost_custom/tinfx4.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen wave sin 0.7 0.2 0 0.5 
		tcGen lightmap 
	} 
}

textures/kairos-vaperockets/stormydays
{
    qer_editorimage textures/kairos-vaperockets/env/stormydays_up
    q3map_noFog
    q3map_globalTexture
    q3map_sunExt 1.0 .97 .84 130 160 15 0 0
    q3map_lightmapFilterRadius 0 0
    q3map_skylight 75 0
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    skyparms textures/kairos-vaperockets/env/stormydays - -
    nopicmip
}

textures/kairos-vaperockets/ll_carpet_slick
{
	qer_editorimage textures/kairos-vaperockets/ll_carpet.tga
	surfaceparm slick
	{
		map textures/kairos-vaperockets/ll_carpet.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/effects/tinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}

textures/kairos-vaperockets/marble_teleporter
{
	qer_editorimage textures/kairos-vaperockets/marble.tga
	{
		map textures/kairos-vaperockets/marble.tga
		tcMod turb 0 0.1 0 0.05
		tcMod scroll 0.02 0.01
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/effects/tinfx.tga
		blendfunc add
		rgbGen identity
		tcMod turb 0 -0.1 0 0.1
		tcGen environment
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}